﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Crosshar_121246
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            KeyListbox.Items.Add("Cognitive CDF");
            KeyListbox.Items.Add("Uninformed CDF");
            KeyListbox.Items.Add("Economic metrics");
            KeyListbox.Items.Add("Failed metrices");
            KeyListbox.Items.Add("Simulated Scenarios");

            ScenarioList.Items.Add("Scenario 1");
            ScenarioList.Items.Add("Scenario 2");
            ScenarioList.Items.Add("Scenario 3");
            ScenarioList.Items.Add("Scenario 4");
            ScenarioList.Items.Add("Scenario 5");
        }
    }
    public class Model
    {
        public string XData
        {
            get;
            set;
        }
        public double YData
        {
            get;
            set;
        }
    }
    public class ViewModel
    {
        
        public ObservableCollection<Model> DataPoints
        {
            get;
            set;
        }

        public ViewModel()
        {
            this.DataPoints = new ObservableCollection<Model>();
            DataPoints.Add(new Model { XData = "10", YData = 10 });
            DataPoints.Add(new Model { XData = "20", YData = 20 });
            DataPoints.Add(new Model { XData = "30", YData = 50 });
            DataPoints.Add(new Model { XData = "40", YData = 80 });
            DataPoints.Add(new Model { XData = "50", YData = 90 });
            DataPoints.Add(new Model { XData = "60", YData = 100 });
        }
    }
}
